<?php
    require('../conexion.php');

    $id_receta = $_POST['id_receta'];
    $rec_clave = $_POST['rec_clave'];
    $rec_nombre = $_POST['rec_nombre'];
    $rec_estatus = $_POST['rec_estatus']; 
    //echo $rec_clave;
    $query = query("UPDATE receta SET rec_nombre='$rec_nombre', rec_clave='$rec_clave', rec_estatus='$rec_estatus' WHERE id='$id_receta'");

    $consulta = "INSERT INTO receta_materia_prima (id,map_id, rec_id, rem_costo_unico, rem_unidad_medida, rem_entrada, rem_estatus, created_at, updated_at) VALUES ";

    $valores = array();
    if (isset($_POST['clave_materia_1'])) {

        foreach ($_POST as $key => $value) {
            if (substr($key, 0, 14) == "clave_materia_") {
                // Obtiene el número de grupo a partir del nombre del input
                $grupo = substr($key, 14);
                // Obtiene los valores correspondientes a cada campo y los agrega al array de valores
                $clave_materia = $_POST['clave_materia_'.$grupo];
                $cantidad_materia = $_POST['cantidad_'.$grupo];
                $precio_unico_materia = $_POST['precio_unico_materia_'.$grupo];
                $unidad_materia = $_POST['unidad_materia_'.$grupo];
                $id_materia = $_POST['id_materia_'.$grupo];
                $rem_costo_uni = $precio_unico_materia*$cantidad_materia;
                $valores[] = "(null,'$id_materia','$id_receta', '$rem_costo_uni','$unidad_materia', '$cantidad_materia','alto',CURRENT_TIME(),CURRENT_TIME())";
                //echo  $cantidad_materia;
            }
            
        }
        
        $consulta .= implode(", ", $valores);
        $resultado = query($consulta);
    }
    if (isset($_POST['rem_clave_0'])) {

        foreach ($_POST as $key => $value) {
            if (substr($key, 0, 7) == "rem_id_") {
                // Obtiene el número de grupo a partir del nombre del input
                $grp = substr($key, 7);
                // Obtiene los valores correspondientes a cada campo y los agrega al array de valores
                $rem_id = $_POST['rem_id_'.$grp];
                $rem_entrada = $_POST['rem_entrada_'.$grp];
                $rem_costo = $_POST['rem_costo_'.$grp];
                $rem_editar = query("UPDATE receta_materia_prima SET rem_entrada='$rem_entrada', rem_costo_unico = ('$rem_costo'*'$rem_entrada') WHERE id='$rem_id'");
                
                
                //echo  $rem_entrada;
            }
            
        }
        
    }
    $costo_receta= query("SELECT SUM(rem_costo_unico) 'COSTO' FROM receta_materia_prima WHERE rec_id='$id_receta'");
    $res= mysqli_fetch_assoc( $costo_receta);
    $costo= $res['COSTO'];
    $query = query("UPDATE receta SET rec_costo = '$costo' WHERE id='$id_receta'");
    $query2 = query("UPDATE productos SET pro_costo_receta = '$costo' WHERE pro_id_receta='$id_receta'"); // Colocar el costo de la receta en productos al editar esta 
    
    echo 1;
?>